c =====================================================
c  version-dependent options
      subroutine lonopt(inp,ive)
      implicit double precision (a-h,o-z)
      include 'control.h'
c==================================
c  version 
      if(ive.eq.-1)then
          vers='7.7 revised 30/4/97'
      elseif(ive.eq.2)then
          vers='8.2 30/4/97'
      elseif(ive.eq.3)then
          vers='8.3 30/4/97'
      else
          write(*,*)' version ',ive,' unknown'
          stop
      endif
c  control of the secular perturbation theory to be used:
c  isec=1 LONGSTOP 1B; isec=2 ORBIT8V
      if(inp.eq.1.or.inp.eq.4)then
         isec=1
      elseif(inp.eq.2.or.inp.eq.3)then
         isec=2
      else
         write(*,*)' unknowon option inp=',inp
         stop
      endif
c  controls for planets taken into account
c
c  to be accounted for in the forced terms
c  (both frequency index and planet index)
c  outer planets from Jupiter to Neptune in all versions
      nplin=5
      nplou=8
c  planets to be accounted for in the computation of g0,s0
c  including inner planets for real objects, excluding for output of num.int.
      if(inp.eq.1.or.inp.eq.4)then
         nplin0=2
      elseif(inp.eq.2.or.inp.eq.3)then
         nplin0=5
      endif
      nplou0=8
c  warning; nplin0.le.nplin.le.nplou0.le.nplou
c  flags to control first/second order computation
      do 2 j=nplin0,nplou
        ipla(j)=1
 2    continue
c  in this version second order only Jupiter 
      ipla(5)=2
c  planets for which degree four corrections to elements
c  and frequencies are computed
c  in this version Jupiter and Saturn
      npli4=5
      nplo4=6
c flags to remove terms depending upon some divisors
c  no divisors removed in this version; see denom5.f for j
      do 1 j=1,ndex
 1      dd(j)=1.d0
c  control for divisor rated as small (for automatic elimination
c  of near resonant terms), in arcsec/yr
      divm=0.5d0
c  critical value of QCE for attempting to switch to adapted theory
      iqcr=10
c  controls for convergence (in arcsec/yr)
      fconte=1.d-3
      fconti=1.d-3
      nitmax=20
      divrat=1.d0
      return
      end
c **********************************************
c  selection of discarded cases to be written elsewhere
         subroutine select(inp,aa,pre,prsini,gsy,ssy,iqce,iqcf,
     +              iqcm,ipro,iang)
         implicit real*8 (a-h,o-z)
         if(inp.eq.1.or.inp.eq.4)then
c  totally wrong cases
            if(iqcm.gt.13.or.aa.lt.2.d0)then
               ipro=3
               iang=11
c  too high inclination or eccentricity
            elseif(prsini.gt.0.3d0.or.pre.gt.0.3.or
     +            .gsy.lt.28.24)then
               ipro=3
               iang=11
            else
               ipro=2
               iang=9
            endif
         else
c  if input from numerical integration, no separate files
            ipro=2
            iang=9
         endif
         return
         end


